using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using GxPress.Request.App.Flow;
using Datory;
using GxPress.Entity.WorkMeeting;

namespace GxPress.Repository.Interface.WorkMeeting
{
    public interface IMeetingRoomRepository : IRepository
    {
        Task<int> InsertAsync(MeetingRoom item);

        Task UpdateAsync(MeetingRoom item);

        Task<MeetingRoom> GetAsync(int meetingId);

        Task<IEnumerable<MeetingRoom>> GetListAsync(int locationId);

        Task<bool> DeleteAsync(int roomId);
    }
}